[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TSizeConstraints.Create

Constructor for the class instance.

## Declaration

Source position: controls.pp line 727

`public constructor TSizeConstraints.Create(`
`AControl: TControl`
`); virtual;`

## Arguments

`AControl` |  | TControl instance where the size constraints are implemented.

## Description

Create is the constructor for the class instance, and calls the inherited constructor on entry. Create sets the default values for properties including:

- MaxHeight (0)
- MaxWidth (0)
- MinHeight (0)
- MinWidth (0)

It also sets the value in the Control property to the associated control specified in the AControl argument.

Create calls the UpdateInterfaceConstraints method to ensure that size constraints from the Control are applied to the widgetset class instance when Control is a TWinControl instance and its handle has been allocated.

## See also

TSizeConstraints.MaxHeight |  | The maximum height for the associated Control.
TSizeConstraints.MaxWidth |  | The maximum width for the associated Control.
TSizeConstraints.MinHeight |  | The minimum height for the associated Control.
TSizeConstraints.MinWidth |  | The minimum width for the associated Control.
TSizeConstraints.Control |  | The associated Control to which these constraints apply.
TSizeConstraints.UpdateInterfaceConstraints |  | Applies size constraints from the specified Control to the widgetset class instance.